Subject: Re: Cygwin service doesn't get NT shutdown notification
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Fri, 27 Apr 2001 15:11:02 -0700

On 26 Apr 2001, at 18:15, the Illustrious Christopher Faylor wrote:

> On Thu, Apr 26, 2001 at 01:23:42PM -0700, Paul Garceau wrote:
> >On 26 Apr 2001, at 11:35, the Illustrious Fred Yankowski wrote:
> >>I'm trying to write a wrapper for the Cygwin port of PostgreSQL so
> >>that it can run as an NT service and stop cleanly when the service is
> >>stopped or shutdown due to system shutdown.  I've got it working well
> >>when the service is stopped manually, but when I shutdown/restart my
> >>NT system the service process seems to get killed without being
> >>notified of the shutdown.
> >>
> >>I've written a simple NT service that can be built for both Cygwin and
> >>native NT (based on code from Corinna Vinschen, Chuck Wilson, and
> >>Jason Tishler).  The native Win32 version *does* catch and handle the
> >>shutdown event, but the same code built for Cygwin does not seem to
> >>get the event.
> >
> >Just guessing, but are you including a specific message handling
> >subroutine/module geared to interface between the Cygwin (bash) shell
> >and the NT4 (comspec) shell?  Without being able to draw from
> >experience (another guess -- hopefully an educated one), there is a
> >possibility that Cygwin registry settings are overwriting PostGreSQL
> >registry settings, thereby corrupting your NT4 registry when it comes
> >to shut down (system shut down/restart).
> 
> I have no idea what registry settings would have to do with this.  Why
> would Cygwin's manipulation of the registry (which should only happen
> when you mount or umount stuff) interfere with anything else?

	Just a wild guess based on the fact that the registry is manipulated 
by Cygwin (mount, umount, setup, etc.).  Not familiar enough with 
Cygwin Architecture or Setup to be definitive.

	Peace,

		Paul G.

> 
> I assume that this problem actually has something to do with the way
> Cygwin handles signals and the way it traps things like "shutdown
> events".
> 
> Inspection of Cygwin code would probably be pretty enlightening in
> that regard.
> 
> It's possible that just setting a SIGHUP handler will be adequate to fix
> this problem.
> 
> cgf
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
> 
> 

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple